searchNodes=[{"doc":"Pinout detects popular embedded devices and prints out pinout diagrams.","ref":"Pinout.html","title":"Pinout","type":"module"},{"doc":"Return the name of the current board","ref":"Pinout.html#detect/0","title":"Pinout.detect/0","type":"function"},{"doc":"Get a list of boards known to the Pinout library Examples iex&gt; Pinout . known_boards ( ) [ &quot;BeagleBone Black&quot; , &quot;BeagleBone Black Wireless&quot; , &quot;BeagleBone Blue&quot; , &quot;BeagleBone Green Wireless&quot; , &quot;GRiSP2&quot; , &quot;MangoPi MQ-Pro&quot; , &quot;NPi i.MX6 ULL&quot; , &quot;PocketBeagle&quot; , &quot;Raspberry Pi 2B&quot; , &quot;Raspberry Pi 3B&quot; , &quot;Raspberry Pi 400&quot; , &quot;Raspberry Pi 4B&quot; , &quot;Raspberry Pi T-Cobbler&quot; , &quot;Raspberry Pi Zero 2 W&quot; , &quot;Raspberry Pi Zero W&quot; ]","ref":"Pinout.html#known_boards/0","title":"Pinout.known_boards/0","type":"function"},{"doc":"Return the pinout as IO.ANSI.ansidata If you'd like to use the pinout information and not print it to the terminal, call this function to get the raw ansidata version of it. To convert this to a string, call IO.ANSI.format/1 and then pass the result to IO.chardata_to_string/1 .","ref":"Pinout.html#pinout_content/0","title":"Pinout.pinout_content/0","type":"function"},{"doc":"Returns the pinout for a specific board as IO.ANSI.ansidata","ref":"Pinout.html#pinout_content/1","title":"Pinout.pinout_content/1","type":"function"},{"doc":"Prints the pinout for the current board Examples #=&gt; Pinout.print() ╭ -- -- -- -- -- -- -- -- -- -- -- -- ╮ | oooooooooooooooooooo | | 1 ooooooooooooooooooo | | Raspberry Pi Zero W | | ╭ -- - ╮ ╭ -- ╮ ╭ -- ╮ | ╰ -- ╰ -- - ╯ -- -- - ╰ -- ╯ -- ╰ -- ╯ -- ╯ 3 v3 Power [ 1 ] [ 2 ] 5 v Power GPIO 2 / I2C1 SDA [ 3 ] [ 4 ] 5 v Power GPIO 3 / I2C1 SCL [ 5 ] [ 6 ] Ground GPIO 4 / GPCLK0 [ 7 ] [ 8 ] GPIO 14 / UART TX Ground [ 9 ] [ 10 ] GPIO 15 / UART RX GPIO 17 [ 11 ] [ 12 ] GPIO 18 / PCM CLK GPIO 27 [ 13 ] [ 14 ] Ground GPIO 22 [ 15 ] [ 16 ] GPIO 23 3 v3 Power [ 17 ] [ 18 ] GPIO 24 GPIO 10 / SPI0 MOSI [ 19 ] [ 20 ] Ground GPIO 9 / SPI0 MISO [ 21 ] [ 22 ] GPIO 25 GPIO 11 / SPI0 SCLK [ 23 ] [ 24 ] GPIO 8 / SPI0 CE0 Ground [ 25 ] [ 26 ] GPIO 7 / SPI0 CE1 GPIO 0 / EEPROM SDA [ 27 ] [ 28 ] GPIO 1 / EEPROM SCL GPIO 5 [ 29 ] [ 30 ] Ground GPIO 6 [ 31 ] [ 32 ] GPIO 12 / PWM0 GPIO 13 / PWN1 [ 33 ] [ 34 ] Ground GPIO 19 / PCM FS [ 35 ] [ 36 ] GPIO 16 GPIO 26 [ 37 ] [ 38 ] GPIO 20 / PCM DIN Ground [ 39 ] [ 40 ] GPIO 21 / PCM DOUT","ref":"Pinout.html#print/0","title":"Pinout.print/0","type":"function"},{"doc":"Print out the pinout for a specific board Call Pinout.known_boards/0 for a list of boards Examples #=&gt; Pinout.print(&quot;Raspberry Pi 4B&quot;) ╭ -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- ╮ | oooooooooooooooooooo ╭ -- -- - ╮ | 1 ooooooooooooooooooo | | | ╰ -- -- - ╯ | ╭ -- -- - ╮ | Raspberry Pi 4 B | | | ╰ -- -- - ╯ | ╭ -- -- -- - ╮ | ╭ -- -- -- ╮ | | | ╭ -- ╮ | | ╰ -- -- -- - ╯ ╰ -- ╰ -- ╯ -- -- ╰ -- -- -- ╯ -- -- -- -- -- -- -- -- - ╯ 3 v3 Power [ 1 ] [ 2 ] 5 v Power GPIO 2 / I2C1 SDA [ 3 ] [ 4 ] 5 v Power GPIO 3 / I2C1 SCL [ 5 ] [ 6 ] Ground GPIO 4 / GPCLK0 [ 7 ] [ 8 ] GPIO 14 / UART TX Ground [ 9 ] [ 10 ] GPIO 15 / UART RX GPIO 17 [ 11 ] [ 12 ] GPIO 18 / PCM CLK GPIO 27 [ 13 ] [ 14 ] Ground GPIO 22 [ 15 ] [ 16 ] GPIO 23 3 v3 Power [ 17 ] [ 18 ] GPIO 24 GPIO 10 / SPI0 MOSI [ 19 ] [ 20 ] Ground GPIO 9 / SPI0 MISO [ 21 ] [ 22 ] GPIO 25 GPIO 11 / SPI0 SCLK [ 23 ] [ 24 ] GPIO 8 / SPI0 CE0 Ground [ 25 ] [ 26 ] GPIO 7 / SPI0 CE1 GPIO 0 / EEPROM SDA [ 27 ] [ 28 ] GPIO 1 / EEPROM SCL GPIO 5 [ 29 ] [ 30 ] Ground GPIO 6 [ 31 ] [ 32 ] GPIO 12 / PWM0 GPIO 13 / PWN1 [ 33 ] [ 34 ] Ground GPIO 19 / PCM FS [ 35 ] [ 36 ] GPIO 16 GPIO 26 [ 37 ] [ 38 ] GPIO 20 / PCM DIN Ground [ 39 ] [ 40 ] GPIO 21 / PCM DOUT","ref":"Pinout.html#print/1","title":"Pinout.print/1","type":"function"},{"doc":"Pinout detects popular embedded devices and prints out pinout diagrams.","ref":"readme.html","title":"Pinout","type":"extras"},{"doc":"Add pinout to your project's dependency list: def deps do [ { :pinout , &quot;~&gt; 0.1&quot; } ] end Build and then run Pinout.print() at the IEx prompt.","ref":"readme.html#usage","title":"Pinout - Usage","type":"extras"},{"doc":"To add support for a new board, do the following: Copy /sys/firmware/devicetree/model off the new board and add it under the test/fixtures directory like other boards. Find a board in lib/pinout/db/boards.ex that's similar to the new one and use it as a template for the new board. If the new board has a new pinout, add the pinout information to lib/pinout/db/connectors.ex Finally, if the board needs new artwork, add the new ASCII art to lib/pinout/art.ex Send a PR! :)","ref":"readme.html#adding-new-boards","title":"Pinout - Adding new boards","type":"extras"},{"doc":"Copyright (C) 2022 Alexa Hunleth Licensed under the Apache License , Version 2.0 ( the &quot;License&quot; ) ; you may not use this file except in compliance with the License . You may obtain a copy of the License at [ http :// www . apache . org / licenses / LICENSE - 2.0 ] ( http :// www . apache . org / licenses / LICENSE - 2.0 ) Unless required by applicable law or agreed to in writing , software distributed under the License is distributed on an &quot;AS IS&quot; BASIS , WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND , either express or implied . See the License for the specific language governing permissions and limitations under the License .","ref":"readme.html#license","title":"Pinout - License","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Updates Added Raspberry Pi T-Cobbler (Thanks @dkuku)","ref":"changelog.html#v0-1-2","title":"Changelog - v0.1.2","type":"extras"},{"doc":"Updates Improved MangoPi and PocketBeagle pinouts","ref":"changelog.html#v0-1-1","title":"Changelog - v0.1.1","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]